import java.lang.*;
import java.util.*;

public class RefreshGUI extends Thread
{
  Vector services;
  GUI g;
  public RefreshGUI(String name, Vector mservices, GUI mg)
  {
    super(name);
    services = mservices;
    g = mg;
  }
  
  public void run()
  {
    while(1==1)
    {
      try
      {
        g.refresh(services);
        Thread.sleep(2000);
      }
      catch (Exception e)
      {
      
      }
    }
  }
}